petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPythonSetType

Initalize a KSP object implemented in Python.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPPythonSetType(KSP ksp,const char pyname[])

Collective on KSP Many br

### Input Parameter

| ksp | - the linear solver (KSP) context. Many br
| pyname | - full dotted Python name [package].module[.{class|function}] Many br

### Options Database Key

-ksp_python_type <pyname> - Many br Many br

### Keywords

KSP, Python

### See Also

KSPCreate(), KSPSetType(), KSPPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/ksp/ksp/impls/python/pythonksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages